@media only screen and (max-width:1023px){
    .header{
        .top-bar{
            padding: 9px 20px;
        }
    }
    .slider{
        position: relative;
        img{
            float: none;
            margin: 0;
            width: 100%;
        }
        .text-holder{
            .position-absolute();
            top:45%;
            padding: 15px;
            background: @background-rgba;
            h1{
                font-size: @heading-first-size/1.4;
            }
        }
    }
    .content{
        width: 430px;
        .related-products{
            float: none;
            margin: 0;
            width: 100%;
        }
        .product-wrapper{
            form{
                .product-holder{
                    .product-gallery{
                        float: none;
                        margin: 0 auto 20px;
                    }
                }
                .row-holder{
                    display: table;
                    width: 100%;
                    margin: 0 0 30px;
                    .row{
                        display: table-cell;
                    }
                }
            }
        }
    }
    .sidebar{
        margin-left: 0;
        padding-left: 25px;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        -ms-box-sizing: border-box;
        box-sizing: border-box;
        
        article{
            padding-left: 25px;
            img{
                width: 100%;
            }
        }
    }
    .footer{
        .col{
            &:first-child{
                padding-left: 25px;
            }
        }
    }
}
@media only screen and (max-width:767px){
    .header{
        .top-bar{
            text-align: center;
            position: relative; 
            .nav-trigger{
                clip: rect(0, 0, 0, 0);
            }       
            label[for="nav-trigger"]{
                display: inline-block;  
                float: right;
                position: relative;
                border-top: 3px solid @background-content;
                width: 30px;
                height: 20px;
                &:before,&:after{
                    content: '';
                    position: absolute;
                    top: 7px;
                    right: 0;
                    left: 0;
                    border-top: 3px solid @background-content;
                }
                &:after{
                    top: 17px;
                }
            }
            .top-navigation{
                display: none;
            }
            .nav-trigger:checked+label ~.top-navigation{
                display: block;
                .transition-h();
            }
            ul{
                font-size: @font-size-default;
                li{
                    margin: 0 0 10px;
                    display: block;
                    &:before{
                        display: none;
                    }
                }
            }
        }
        .cart{
            .link-options();
            display: block;
            font-weight: bold;
            margin: 0;
            &:before{
                left: 50px;
            }
        }
        .container{
            text-align: center;
            .logo{
                margin: 8px 0;
                float: none;
                display: block;
            }
            nav{
                float: none;
                .space-none();
                max-width: 100%;
                ul{
                    li{
                        border-radius: 0;
                        display: block;
                        padding: 0;
                        border-width: 1px 0 0;
                        a{
                            display: block;
                            border-radius: 0;
                        }
                    }
                    .active{
                        a{
                            padding: 12px 0 11px;
                        }
                    }
                    .active + li{
                        margin: 0;
                    }
                }
            }
        }
    }
    .slider {
        .text-holder{
            position: static;
        }
    }
    .content{
        width: auto;
        text-align: center;
        margin: 0 15px 25px;
        float: none;
        .product-wrapper{
            form{
             .total{
                    text-align:left;
                    .add-btn{
                        float: right;
                    }
                }
            }
        }
        .product-wrapper{
            form{
                .product-holder{
                    .product-description{
                        text-align: left;
                    }
                }
            }
        }
        .op-select{
            width: 145px;
        }
        .jcarousel {
            position: relative;
            overflow: hidden;
            width: 138px;
            margin: 0 auto;
             ul {
                width: 20000em;
                position: relative;
                .reset-list();
                 li {
                    float: left;
                }
            }
            .jcarousel-prev,
            .jcarousel-next{
                #gradient .vertical(@start-color: #774799; @end-color: #5e3879; @start-percent: 0%; @end-percent: 100%);
                position: absolute;
                top: 50%;
                left: 0;
                margin: -15px 0 0;
                width: 30px;
                height: 30px;
                border-radius: 50%;
            }
            .jcarousel-next{
                left: auto;
                right: 0;
            }
        }
    }
    .sidebar{
        float: none;
        width: 100%;
    }
}
@media only screen and (max-width:400px){
    .content{
        .products-list{
            li{
                border-left:none;
                border-bottom: 1px dashed @border-dashed-content;
                margin: 0 auto 28px;
                padding: 27px 30px 28px;
                display: block;
            }
        }
    }
    .footer{
        padding-bottom: 20px;
        .col{
            width: auto;
            display: block;
            border: none;
            margin: 0 0 15px;
        }
    }
}